#!/bin/sh
set -e

if [ "$ADT_REBOOT_MARK" != "cgm-test-rebooted" ]; then
	sed -i '/GRUB_CMDLINE_LINUX_DEFAULT/s@"$@ cgroup_enable=memory"@' /etc/default/grub
	update-grub
	/tmp/autopkgtest-reboot cgm-test-rebooted
fi
cd /usr/share/cgmanager/tests/
./runtests.sh
